libzypp: zypp::KeyManagerCtx::Impl Class Reference

libzypp 17.25.10

Public Member Functions | Public Attributes | Private Member Functions | List of all members
zypp::KeyManagerCtx::Impl Class Reference

## Public Member Functions
| Impl ()
| ~Impl ()
std::list< std::string > | readSignaturesFprs (const Pathname &signature_r)
| Return all fingerprints found in signature_r. More...
bool | verifySignaturesFprs (const Pathname &file_r, const Pathname &signature_r)
| Tries to verify the file_r using signature_r. More...

## Public Attributes
gpgme_ctx_t | _ctx { nullptr }
bool | _volatile { false }
| readKeyFromFile workaround bsc#1140670 More...

## Private Member Functions
std::list< std::string > | readSignaturesFprsOptVerify (const Pathname &signature_r, const Pathname &file_r="/dev/null", bool *verify_r=nullptr)
| Return all fingerprints found in signature_r and optionally verify the file_r on the fly. More...

## Detailed Description

Definition at line 104 of file KeyManager.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::KeyManagerCtx::Impl::Impl | ( |  | ) |
| inline

Definition at line 107 of file KeyManager.cc.

## ◆ ~Impl()

zypp::KeyManagerCtx::Impl::~Impl | ( |  | ) |
| inline

Definition at line 110 of file KeyManager.cc.

## Member Function Documentation

## ◆ readSignaturesFprs()

std::list<std::string> zypp::KeyManagerCtx::Impl::readSignaturesFprs | ( | const Pathname & | signature_r | ) |
| inline

Return all fingerprints found in signature_r.

Definition at line 115 of file KeyManager.cc.

## ◆ verifySignaturesFprs()

bool zypp::KeyManagerCtx::Impl::verifySignaturesFprs | ( | const Pathname & | file_r,
|  | const Pathname & | signature_r
| ) |  |
| inline

Tries to verify the file_r using signature_r.

Definition at line 119 of file KeyManager.cc.

## ◆ readSignaturesFprsOptVerify()

std::list< std::string > zypp::KeyManagerCtx::Impl::readSignaturesFprsOptVerify | ( | const Pathname & | signature_r,
|  | const Pathname & | file_r = `"/dev/null"`,
|  | bool * | verify_r = `nullptr`
| ) |  |
| private

Return all fingerprints found in signature_r and optionally verify the file_r on the fly.

If verify_r is not a `nullptr`, log verification errors and return whether all signatures are good.

Definition at line 138 of file KeyManager.cc.

## Member Data Documentation

## ◆ _ctx

gpgme_ctx_t zypp::KeyManagerCtx::Impl::_ctx { nullptr }

Definition at line 126 of file KeyManager.cc.

## ◆ _volatile

bool zypp::KeyManagerCtx::Impl::_volatile { false }

readKeyFromFile workaround bsc#1140670

Definition at line 127 of file KeyManager.cc.

The documentation for this class was generated from the following file:

- zypp/KeyManager.cc